<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_content_add_old_page($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-05-addcontent'); // 元の値を保持

	/*** 古い情報である可能性を冒頭に表示させる ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['output-old-content-message'] ) && $value['output-old-content-message'] === '1' ) {
		$value['output-old-content-message'] = '1'; // 明示的に '1' を設定
	} else {
		$value['output-old-content-message'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** 自動表示する経過日数 ***/
	/* テキストフィールド（文字列） */
	if ( isset( $value['number-of-days-last-moddate'] ) && is_string( $value['number-of-days-last-moddate'] ) ) {
		$value['number-of-days-last-moddate'] = sanitize_text_field( $value['number-of-days-last-moddate'] ); // サニタイズ
	} else {
		if ( isset( $original_value['number-of-days-last-moddate'] ) ) {
			$value['number-of-days-last-moddate'] = $original_value['number-of-days-last-moddate']; // 元の値を保持
		} else {
			$value['number-of-days-last-moddate'] = '';
		}
	}


	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}